Package com.mckoi.database

## Class TriggerEvent

- java.lang.Object
- - com.mckoi.database.TriggerEvent

    public class TriggerEvent
    extends java.lang.Object

A trigger event represents a high level action that occured in the database. A trigger event is generated by the SQL interpreter on evaluation of curtain types of queries.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `DELETE`
`static int` `INSERT` Statics that represent the different types of high layer trigger events.
`static int` `UPDATE`

### Constructor Summary

Constructors
`TriggerEvent​(int type, java.lang.String source)`
`TriggerEvent​(int type, java.lang.String source, int count)` Constructs the trigger event.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCount()` Returns the number of times this event was fired.
`java.lang.String` `getSource()` Returns the source of this event.
`int` `getType()` Returns the type of this event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSERT

    public static final int INSERT

Statics that represent the different types of high layer trigger events.

See Also:
  Constant Field Values

#### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

#### UPDATE

    public static final int UPDATE

See Also:
  Constant Field Values

### Constructor Detail

#### TriggerEvent

    public TriggerEvent​(int type,
                        java.lang.String source,
                        int count)

Constructs the trigger event.

#### TriggerEvent

    public TriggerEvent​(int type,
                        java.lang.String source)

### Method Detail

#### getType

    public int getType()

Returns the type of this event.

#### getSource

    public java.lang.String getSource()

Returns the source of this event.

#### getCount

    public int getCount()

Returns the number of times this event was fired.